# Class FileCleanupService | EchoHub Documentation

# Class FileCleanupService

Namespace
  EchoHub.Server.Services

Assembly
  EchoHub.Server.dll

    public sealed class FileCleanupService : BackgroundService, IDisposable

Inheritance
  object
  BackgroundService
  FileCleanupService

Implements
  IDisposable

Inherited Members
  object.GetType()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Constructors

### FileCleanupService(IConfiguration, ILogger<FileCleanupService>)

    public FileCleanupService(IConfiguration configuration, ILogger<FileCleanupService> logger)

#### Parameters

`configuration` IConfiguration
`logger` ILogger<FileCleanupService>

## Methods

### ExecuteAsync(CancellationToken)

    protected override Task ExecuteAsync(CancellationToken stoppingToken)

#### Parameters

`stoppingToken` CancellationToken

#### Returns

Task